DOM::CSS2BackgroundPosition Class Reference

`#include <css_extensions.h>`

Inheritance diagram for DOM::CSS2BackgroundPosition:

## Public Member Functions

| CSS2BackgroundPosition (const CSS2BackgroundPosition &other)
| CSS2BackgroundPosition (CSS2BackgroundPositionImpl *impl)
CSS2BackgroundPosition & | operator= (const CSS2BackgroundPosition &other)
unsigned short | horizontalType () const
unsigned short | verticalType () const
DOM::DOMString | horizontalIdentifier () const
DOM::DOMString | verticalIdentifier () const
float | getHorizontalPosition (const float horizontalType)
float | getVerticalPosition (const float verticalType)
void | setHorizontalPosition (const unsigned short horizontalType, const float value)
void | setVerticalPosition (const unsigned short verticalType, const float value)
void | setPositionIdentifier (const DOM::DOMString &horizontalIdentifier, const DOM::DOMString &verticalIdentifier)
Public Member Functions inherited from DOM::CSSValue
| CSSValue (const CSSValue &other)
| CSSValue (CSSValueImpl *impl)
CSSValue & | operator= (const CSSValue &other)
DOM::DOMString | cssText () const
void | setCssText (const DOM::DOMString &)
unsigned short | cssValueType () const
bool | isCSSValueList () const
bool | isCSSPrimitiveValue () const
CSSValueImpl * | handle () const
bool | isNull () const

## Additional Inherited Members

Public Types inherited from DOM::CSSValue
enum | UnitTypes { CSS_INHERIT = 0, CSS_PRIMITIVE_VALUE = 1, CSS_VALUE_LIST = 2, CSS_CUSTOM = 3, CSS_INITIAL = 4 }
Protected Attributes inherited from DOM::CSSValue
CSSValueImpl * | impl

## Detailed Description

The `CSS2BackgroundPosition` interface represents the background-position CSS Level 2 property.

Definition at line 145 of file css_extensions.h.

## Member Function Documentation

float CSS2BackgroundPosition::getHorizontalPosition | ( | const float | horizontalType | ) |

This method is used to get the float value in a specified unit if the `horizontalPosition` represents a length or a percentage.

If the float doesn't contain a float value or can't be converted into the specified unit, a `DOMException` is raised.

Parameters

  horizontalType | The specified unit.

Returns
  The float value.

Exceptions

  DOMException | INVALID_ACCESS_ERR: Raises if the property doesn't contain a float or the value can't be converted.

Definition at line 136 of file css_extensions.cpp.

float CSS2BackgroundPosition::getVerticalPosition | ( | const float | verticalType | ) |

This method is used to get the float value in a specified unit if the `verticalPosition` represents a length or a percentage.

If the float doesn't contain a float value or can't be converted into the specified unit, a `DOMException` is raised. The value is `50%` if only the horizontal value has been specified.

Parameters

  verticalType | The specified unit.

Returns
  The float value.

Exceptions

  DOMException | INVALID_ACCESS_ERR: Raises if the property doesn't contain a float or the value can't be converted.

Definition at line 142 of file css_extensions.cpp.

DOMString CSS2BackgroundPosition::horizontalIdentifier | ( |  | ) | const

If `horizontalType` is `CSS_IDENT` or `CSS_INHERIT` , this attribute contains the string representation of the ident, otherwise it contains an empty string.

Definition at line 124 of file css_extensions.cpp.

unsigned short CSS2BackgroundPosition::horizontalType | ( |  | ) | const

A code defining the type of the horizontal value.

It would be one `CSS_PERCENTAGE` , `CSS_EMS` , `CSS_EXS` , `CSS_PX` , `CSS_CM` , `CSS_MM` , `CSS_IN` , `CSS_PT` , `CSS_PC` , `CSS_IDENT` , `CSS_INHERIT` . If one of horizontal or vertical is `CSS_IDENT` or `CSS_INHERIT` , it's guaranteed that the other is the same.

Definition at line 112 of file css_extensions.cpp.

void CSS2BackgroundPosition::setHorizontalPosition | ( | const unsigned short | horizontalType,
|  | const float | value
| ) |  |

This method is used to set the horizontal position with a specified unit.

If the vertical value is not a percentage or a length, it sets the vertical position to `50%` .

Parameters

  horizontalType | The specified unit (a length or a percentage).
  value | The new value.

Returns

Exceptions

  DOMException | INVALID_ACCESS_ERR: Raises if the specified unit is not a length or a percentage.

NO_MODIFICATION_ALLOWED_ERR: Raises if this property is readonly.

Definition at line 148 of file css_extensions.cpp.

void CSS2BackgroundPosition::setPositionIdentifier | ( | const DOM::DOMString & | horizontalIdentifier,
|  | const DOM::DOMString & | verticalIdentifier
| ) |  |

Sets the identifiers.

If the second identifier is the empty string, the vertical identifier is set to his default value ( `"center"` ). If the first identfier is `"inherit , the second identifier is ignored and is set to \c "inherit"` .

Parameters

  horizontalIdentifier | The new horizontal identifier.
  verticalIdentifier | The new vertical identifier.

Returns

Exceptions

  DOMException | SYNTAX_ERR: Raises if the identifiers have a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raises if this property is readonly.

Definition at line 160 of file css_extensions.cpp.

void CSS2BackgroundPosition::setVerticalPosition | ( | const unsigned short | verticalType,
|  | const float | value
| ) |  |

This method is used to set the vertical position with a specified unit.

If the horizontal value is not a percentage or a length, it sets the vertical position to `50%` .

Parameters

  verticalType | The specified unit (a length or a percentage).
  value | The new value.

Returns

Exceptions

  DOMException | INVALID_ACCESS_ERR: Raises if the specified unit is not a length or a percentage.

NO_MODIFICATION_ALLOWED_ERR: Raises if this property is readonly.

Definition at line 154 of file css_extensions.cpp.

DOMString CSS2BackgroundPosition::verticalIdentifier | ( |  | ) | const

If `verticalType` is `CSS_IDENT` or `CSS_INHERIT` , this attribute contains the string representation of the ident, otherwise it contains an empty string.

The value is `"center"` if only the horizontalIdentifier has been set. The value is `"inherit"` if the horizontalIdentifier is `"inherit"` .

Definition at line 130 of file css_extensions.cpp.

unsigned short CSS2BackgroundPosition::verticalType | ( |  | ) | const

A code defining the type of the horizontal value.

The code can be one of the following units : `CSS_PERCENTAGE` , `CSS_EMS` , `CSS_EXS` , `CSS_PX` , `CSS_CM` , `CSS_MM` , `CSS_IN` , `CSS_PT` , `CSS_PC` , `CSS_IDENT` , `CSS_INHERIT` . If one of horizontal or vertical is `CSS_IDENT` or `CSS_INHERIT` , it's guaranteed that the other is the same.

Definition at line 118 of file css_extensions.cpp.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys